<?xml version="1.0"?>

<cfsSimulation xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns="http://www.cfs++.org/simulation">

  <fileFormats>
    <input>
      <hdf5 fileName="mesh.cfs"/>
    </input>
    <output>
      <hdf5/>
    </output>
    <materialData file="mat.xml" format="xml"/>
  </fileFormats>
  
  <domain geometryType="plane">
    <regionList>
      <region name="internal" material="air"/>
    </regionList>
    <surfRegionList>
      <surfRegion name="bottom"/>
      <surfRegion name="left"/>
      <surfRegion name="right"/>
      <surfRegion name="top"/>
    </surfRegionList>
  </domain>


 
  <sequenceStep>
    <analysis>
      <transient>
        <numSteps>1</numSteps>
        <deltaT>0.2</deltaT>
      </transient>
    </analysis>
    
    <pdeList>
      <split formulation="splitVector">

        <regionList>
          <region name="internal"/>
        </regionList>
         
        <bcsAndLoads>
          <tangentialVelocity value="-1" name="left"></tangentialVelocity>
          <tangentialVelocity value="1" name="right"></tangentialVelocity>
          <rhsDensity value="( (sqrt(x^2+y^2) lt 1.0)? 0 : (1-cos( pi * (sqrt(x^2+y^2) - 1)))/sqrt(x^2+y^2) + sqrt(x^2+y^2)*sin( pi * (sqrt(x^2+y^2) - 1))/pi  ) * ((sqrt(x^2+y^2) lt 3.0)? 1 : 0)" name="internal"></rhsDensity>
        </bcsAndLoads>

        <storeResults>
          <nodeResult type="splitVector"> 
            <allRegions/>
          </nodeResult>
          <elemResult type="splitVectVel">
            <allRegions/>
          </elemResult>
          <nodeResult type="splitRhsLoad">
            <allRegions/>
          </nodeResult>
        </storeResults>
      </split>
    </pdeList>
    
    <linearSystems>
      <system>
        <solverList>
          <directLU/>
        </solverList>
      </system>
    </linearSystems>
  
  </sequenceStep>
</cfsSimulation>
